Evaluations
Import cases from a JSON case file
POST /v1/regression-datasets/{datasetId}/cases/import · SDK importDatasetCases · CLI deployments eval case import
POST
Requires observability:write.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
datasetId*stringRegression dataset ID.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-project*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key*stringLength
1 <= length <= 512application/json- body
cases*array<>Items
1 <= items <= 100ImportDatasetCasesResponse
application/json- response
created*integerRange
0 <= value <= 9007199254740991existing*integerRange
0 <= value <= 9007199254740991items*array<>curl -X POST "https://example.com/v1/regression-datasets/string/cases/import" \ -H "x-deployments-organization: string" \ -H "x-deployments-project: string" \ -H "x-deployments-environment: string" \ -H "idempotency-key: string" \ -H "Content-Type: application/json" \ -d '{ "cases": [ { "message": "string" } ] }'{ "created": 0, "existing": 0, "items": [ { "case": { "consentBasis": "string", "contentSha256": "string", "createdAt": "2019-08-24T14:15:22Z", "datasetId": "string", "expectationKinds": [ "string" ], "externalId": "string", "id": "string", "inputPreview": "string", "provenance": "annotation", "sourceRunId": "string", "sourceThreadId": "string", "sourceTraceId": "string", "tags": [ "string" ] }, "created": true, "externalId": "string" } ]}